grk::GrkMatrix Class Reference

`#include <GrkMatrix.h>`

## Public Member Functions

bool | matrix_inversion_f (float *pSrcMatrix, float *pDestMatrix, uint32_t nb_compo)
| Matrix inversion.

## Private Member Functions

void | lupInvert (float *pSrcMatrix, float *pDestMatrix, uint32_t nb_compo, uint32_t *pPermutations, float *p_src_temp, float *p_dest_temp, float *p_swap_area)
bool | lupDecompose (float *matrix, uint32_t *permutations, float *p_swap_area, uint32_t nb_compo)
void | lupSolve (float *pResult, float *pMatrix, float *pVector, uint32_t *pPermutations, uint32_t nb_compo, float *p_intermediate_data)

## Member Function Documentation

## lupDecompose()

bool grk::GrkMatrix::lupDecompose | ( | float * | matrix,
|  | uint32_t * | permutations,
|  | float * | p_swap_area,
|  | uint32_t | nb_compo
| ) |  |

private

References grk::grk_read().

Referenced by matrix_inversion_f().

## lupInvert()

void grk::GrkMatrix::lupInvert | ( | float * | pSrcMatrix,
|  | float * | pDestMatrix,
|  | uint32_t | nb_compo,
|  | uint32_t * | pPermutations,
|  | float * | p_src_temp,
|  | float * | p_dest_temp,
|  | float * | p_swap_area
| ) |  |

private

References grk::grk_read(), and lupSolve().

Referenced by matrix_inversion_f().

## lupSolve()

void grk::GrkMatrix::lupSolve | ( | float * | pResult,
|  | float * | pMatrix,
|  | float * | pVector,
|  | uint32_t * | pPermutations,
|  | uint32_t | nb_compo,
|  | float * | p_intermediate_data
| ) |  |

private

References grk::grk_read().

Referenced by lupInvert().

## matrix_inversion_f()

bool grk::GrkMatrix::matrix_inversion_f | ( | float * | pSrcMatrix,
|  | float * | pDestMatrix,
|  | uint32_t | nb_compo
| ) |  |

Matrix inversion.

References grk::grk_free(), grk::grk_malloc(), grk::grk_read(), lupDecompose(), and lupInvert().

The documentation for this class was generated from the following files:

- GrkMatrix.h
- GrkMatrix.cpp